Subject: Installing previous versions of binutils
From: Ian C <[email-masked]>
To: [email-masked]
Cc: minime <[email-masked]>
Date: Wed, 30 Sep 2009 04:06:36 -0700 (PDT)
List-Id: <cygwin.cygwin.com>

Hi guys,
 
Sorry new to this.
 
I just installed Cygwin 1.5.25-15 using the setup program, to ultimately build a GNU radio application under Windows XP.
http://gnuradio.org/trac/wiki/CygwinGettingStarted
 
This version of Cygwin installs: binutils version: 20080624-2
...  (and the previous version is binutils version: 20080523-1)
 
Under the Windows Tips page: 
http://gnuradio.org/trac/wiki/WindowsTips
 
There are several 'broken packages' in Cygwin which do not work when building the 3rd party WxPython application in GNU Radio: 
 
binutils version: 20060709-1 (obsolete); causes "Permission denied" errors on wxPython 
binutils version: 20080523-1; causes build errors in wxPython and Numpy 
 
The "simplest workaround is to reinstall Cygwin binutils 20060817-1". 
 
Sorry if this is a silly question (new to this), I know how to uninstall the binutils 20080624-2 that comes with Cygwin 1.5.25-15.
...but can I use the setup routine to install previous versions of binutils (such as version 20060817-1), which should be compatible with the WxPython application. If I uninstall the latest binutils, how do I get the Cygwin setup program to recognize the 2006 version of binutils.
 
Thanks for any help.
Ian

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple